# -*- coding: utf-8 -*-
"""The manager implements the main process that keeps track of changes in the
   PostgreSQL cluster and that reconfigures pgbouncer when needed."""

from argparse import ArgumentParser


DEFAULT_CONFIG = "/etc/pgbouncer/pgbouncemgr.yaml"
DEFAULT_LOG_FACILITY = "LOG_LOCAL1"


def main():
    """Starts the pgbouncemgr main application."""
    args = _parse_arguments()
    print(repr(args))


def _parse_arguments():
    parser = ArgumentParser(description="pgbouncemgr")
    parser.add_argument(
        "-v", "--verbose",
        default=False, action="store_true",
        help="enable verbose output (default: disabled)")
    parser.add_argument(
        "-d", "--debug",
        default=False, action="store_true",
        help="enable debugging output (default: disabled)")
    parser.add_argument(
        "-f", "--log-facility",
        default=DEFAULT_LOG_FACILITY,
        help="syslog facility to use (default: %s)" % DEFAULT_LOG_FACILITY)
    parser.add_argument(
        "--config",
        default=DEFAULT_CONFIG,
        help="config file (default: %s)" % DEFAULT_CONFIG)
    args = parser.parse_args()
    return args


if __name__ == "__main__":
    main()
